Skip to main content
GET
List Refunds

Authorizations

Authorization
string
header
required

Authentication: You can generate a Personal Access Token from your settings.

Query Parameters

id

Return only records matching refund ID. Identifier of the refund.

organization_id

Return only records matching organization ID. Identifier of the organization.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

order_id

Return only records matching order ID. Identifier of the order.

subscription_id

Return only records matching subscription ID. Identifier of the subscription.

customer_id

Return only records matching customer ID. Identifier of the customer.

external_customer_id

Return only records matching customer external ID. Identifier of the customer external.

succeeded
boolean | null

Return only records matching succeeded.

page
integer
default:1

Results page to return. The first page is used by default.

limit
integer
default:10

Records returned per page. Defaults to 10 and accepts up to 100.

sorting
enum<string>[] | null

Sort rules applied from left to right. Prefix any rule with - to reverse it into descending order.

Available options:
created_at,
-created_at,
amount,
-amount

Response

Request completed successfully

items
Refund · object[]
required
pagination
Pagination · object
required